libcdr::CDRCollector Class Reference documentation

Public Member Functions | List of all members
libcdr::CDRCollector Class Referenceabstract

`#include <CDRCollector.h>`

Inheritance diagram for libcdr::CDRCollector:

## Public Member Functions
| CDRCollector ()
virtual | ~CDRCollector ()
virtual void | collectPage (unsigned level)=0
virtual void | collectObject (unsigned level)=0
virtual void | collectGroup (unsigned level)=0
virtual void | collectVect (unsigned level)=0
virtual void | collectOtherList ()=0
virtual void | collectPath (const CDRPath &path)=0
virtual void | collectLevel (unsigned level)=0
virtual void | collectTransform (const CDRTransforms &transforms, bool considerGroupTransform)=0
virtual void | collectFillStyle (unsigned id, const CDRFillStyle &fillStyle)=0
virtual void | collectFillStyleId (unsigned id)=0
virtual void | collectLineStyle (unsigned id, const CDRLineStyle &lineStyle)=0
virtual void | collectLineStyleId (unsigned id)=0
virtual void | collectRotate (double angle, double cx, double cy)=0
virtual void | collectFlags (unsigned flags, bool considerFlags)=0
virtual void | collectPageSize (double width, double height, double offsetX, double offsetY)=0
virtual void | collectPolygonTransform (unsigned numAngles, unsigned nextPoint, double rx, double ry, double cx, double cy)=0
virtual void | collectBitmap (unsigned imageId, double x1, double x2, double y1, double y2)=0
virtual void | collectBmp (unsigned imageId, unsigned colorModel, unsigned width, unsigned height, unsigned bpp, const std::vector< unsigned > &palette, const std::vector< unsigned char > &bitmap)=0
virtual void | collectBmp (unsigned imageId, const std::vector< unsigned char > &bitmap)=0
virtual void | collectBmpf (unsigned patternId, unsigned width, unsigned height, const std::vector< unsigned char > &pattern)=0
virtual void | collectPpdt (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned > &knotVector)=0
virtual void | collectFillTransform (const CDRTransforms &fillTrafos)=0
virtual void | collectFillOpacity (double opacity)=0
virtual void | collectPolygon ()=0
virtual void | collectSpline ()=0
virtual void | collectColorProfile (const std::vector< unsigned char > &profile)=0
virtual void | collectBBox (double x0, double y0, double x1, double y1)=0
virtual void | collectSpnd (unsigned spnd)=0
virtual void | collectVectorPattern (unsigned id, const librevenge::RVNGBinaryData &data)=0
virtual void | collectPaletteEntry (unsigned colorId, unsigned userId, const CDRColor &color)=0
virtual void | collectText (unsigned textId, unsigned styleId, const std::vector< unsigned char > &data, const std::vector< unsigned char > &charDescriptions, const std::map< unsigned, CDRStyle > &styleOverrides)=0
virtual void | collectArtisticText (double x, double y)=0
virtual void | collectParagraphText (double x, double y, double width, double height)=0
virtual void | collectStld (unsigned id, const CDRStyle &style)=0
virtual void | collectStyleId (unsigned id)=0

## Constructor & Destructor Documentation

## ◆ CDRCollector()

libcdr::CDRCollector::CDRCollector | ( |  | ) |
| inline

## ◆ ~CDRCollector()

virtual libcdr::CDRCollector::~CDRCollector | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ collectArtisticText()

virtual void libcdr::CDRCollector::collectArtisticText | ( | double | x,
|  | double | y
| ) |  |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectBBox()

virtual void libcdr::CDRCollector::collectBBox | ( | double | x0,
|  | double | y0,
|  | double | x1,
|  | double | y1
| ) |  |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectBitmap()

virtual void libcdr::CDRCollector::collectBitmap | ( | unsigned | imageId,
|  | double | x1,
|  | double | x2,
|  | double | y1,
|  | double | y2
| ) |  |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectBmp() [1/2]

virtual void libcdr::CDRCollector::collectBmp | ( | unsigned | imageId,
|  | const std::vector< unsigned char > & | bitmap
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectBmp() [2/2]

virtual void libcdr::CDRCollector::collectBmp | ( | unsigned | imageId,
|  | unsigned | colorModel,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | bpp,
|  | const std::vector< unsigned > & | palette,
|  | const std::vector< unsigned char > & | bitmap
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectBmpf()

virtual void libcdr::CDRCollector::collectBmpf | ( | unsigned | patternId,
|  | unsigned | width,
|  | unsigned | height,
|  | const std::vector< unsigned char > & | pattern
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectColorProfile()

virtual void libcdr::CDRCollector::collectColorProfile | ( | const std::vector< unsigned char > & | profile | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectFillOpacity()

virtual void libcdr::CDRCollector::collectFillOpacity | ( | double | opacity | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectFillStyle()

virtual void libcdr::CDRCollector::collectFillStyle | ( | unsigned | id,
|  | const CDRFillStyle & | fillStyle
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectFillStyleId()

virtual void libcdr::CDRCollector::collectFillStyleId | ( | unsigned | id | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectFillTransform()

virtual void libcdr::CDRCollector::collectFillTransform | ( | const CDRTransforms & | fillTrafos | ) |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectFlags()

virtual void libcdr::CDRCollector::collectFlags | ( | unsigned | flags,
|  | bool | considerFlags
| ) |  |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectGroup()

virtual void libcdr::CDRCollector::collectGroup | ( | unsigned | level | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectLevel()

virtual void libcdr::CDRCollector::collectLevel | ( | unsigned | level | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectLineStyle()

virtual void libcdr::CDRCollector::collectLineStyle | ( | unsigned | id,
|  | const CDRLineStyle & | lineStyle
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectLineStyleId()

virtual void libcdr::CDRCollector::collectLineStyleId | ( | unsigned | id | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectObject()

virtual void libcdr::CDRCollector::collectObject | ( | unsigned | level | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectOtherList()

virtual void libcdr::CDRCollector::collectOtherList | ( |  | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectPage()

virtual void libcdr::CDRCollector::collectPage | ( | unsigned | level | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectPageSize()

virtual void libcdr::CDRCollector::collectPageSize | ( | double | width,
|  | double | height,
|  | double | offsetX,
|  | double | offsetY
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectPaletteEntry()

virtual void libcdr::CDRCollector::collectPaletteEntry | ( | unsigned | colorId,
|  | unsigned | userId,
|  | const CDRColor & | color
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectParagraphText()

virtual void libcdr::CDRCollector::collectParagraphText | ( | double | x,
|  | double | y,
|  | double | width,
|  | double | height
| ) |  |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectPath()

virtual void libcdr::CDRCollector::collectPath | ( | const CDRPath & | path | ) |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectPolygon()

virtual void libcdr::CDRCollector::collectPolygon | ( |  | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectPolygonTransform()

virtual void libcdr::CDRCollector::collectPolygonTransform | ( | unsigned | numAngles,
|  | unsigned | nextPoint,
|  | double | rx,
|  | double | ry,
|  | double | cx,
|  | double | cy
| ) |  |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectPpdt()

virtual void libcdr::CDRCollector::collectPpdt | ( | const std::vector< std::pair< double, double > > & | points,
|  | const std::vector< unsigned > & | knotVector
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectRotate()

virtual void libcdr::CDRCollector::collectRotate | ( | double | angle,
|  | double | cx,
|  | double | cy
| ) |  |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectSpline()

virtual void libcdr::CDRCollector::collectSpline | ( |  | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectSpnd()

virtual void libcdr::CDRCollector::collectSpnd | ( | unsigned | spnd | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectStld()

virtual void libcdr::CDRCollector::collectStld | ( | unsigned | id,
|  | const CDRStyle & | style
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectStyleId()

virtual void libcdr::CDRCollector::collectStyleId | ( | unsigned | id | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectText()

virtual void libcdr::CDRCollector::collectText | ( | unsigned | textId,
|  | unsigned | styleId,
|  | const std::vector< unsigned char > & | data,
|  | const std::vector< unsigned char > & | charDescriptions,
|  | const std::map< unsigned, CDRStyle > & | styleOverrides
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectTransform()

virtual void libcdr::CDRCollector::collectTransform | ( | const CDRTransforms & | transforms,
|  | bool | considerGroupTransform
| ) |  |
| pure virtual

Implemented in libcdr::CDRStylesCollector, and libcdr::CDRContentCollector.

## ◆ collectVect()

virtual void libcdr::CDRCollector::collectVect | ( | unsigned | level | ) |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

## ◆ collectVectorPattern()

virtual void libcdr::CDRCollector::collectVectorPattern | ( | unsigned | id,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |
| pure virtual

Implemented in libcdr::CDRContentCollector, and libcdr::CDRStylesCollector.

The documentation for this class was generated from the following file:

- CDRCollector.h